Win32VK (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, enum: Win32VK

Package com.sun.jna.platform.win32

# Enum Class Win32VK

java.lang.Object
java.lang.Enum<Win32VK>
com.sun.jna.platform.win32.Win32VK

All Implemented Interfaces:
  `Serializable`, `Comparable<Win32VK>`, `Constable`

public enum Win32VK extends Enum<Win32VK>
Windows API Virtual Key codes.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_0`
  `VK_1`
  `VK_2`
  `VK_3`
  `VK_4`
  `VK_5`
  `VK_6`
  `VK_7`
  `VK_8`
  `VK_9`
  `VK_A`
  `VK_ACCEPT`
  `VK_ADD`
  `VK_APPS`
  Application
  `VK_ATTN`
  `VK_B`
  `VK_BACK`
  `VK_BROWSER_BACK`
  `VK_BROWSER_FAVORITES`
  `VK_BROWSER_FORWARD`
  `VK_BROWSER_HOME`
  `VK_BROWSER_REFRESH`
  `VK_BROWSER_SEARCH`
  `VK_BROWSER_STOP`
  `VK_C`
  `VK_CANCEL`
  `VK_CAPITAL`
  `VK_CLEAR`
  `VK_CONTROL`
  `VK_CONVERT`
  `VK_CRSEL`
  `VK_D`
  `VK_DECIMAL`
  `VK_DELETE`
  `VK_DIVIDE`
  `VK_DOWN`
  `VK_E`
  `VK_END`
  `VK_EREOF`
  `VK_ESCAPE`
  `VK_EXECUTE`
  `VK_EXSEL`
  `VK_F`
  `VK_F1`
  `VK_F10`
  `VK_F11`
  `VK_F12`
  `VK_F13`
  `VK_F14`
  `VK_F15`
  `VK_F16`
  `VK_F17`
  `VK_F18`
  `VK_F19`
  `VK_F2`
  `VK_F20`
  `VK_F21`
  `VK_F22`
  `VK_F23`
  `VK_F24`
  `VK_F3`
  `VK_F4`
  `VK_F5`
  `VK_F6`
  `VK_F7`
  `VK_F8`
  `VK_F9`
  `VK_FINAL`
  `VK_G`
  `VK_GAMEPAD_A`
  `VK_GAMEPAD_B`
  `VK_GAMEPAD_DPAD_DOWN`
  `VK_GAMEPAD_DPAD_LEFT`
  `VK_GAMEPAD_DPAD_RIGHT`
  `VK_GAMEPAD_DPAD_UP`
  `VK_GAMEPAD_LEFT_SHOULDER`
  `VK_GAMEPAD_LEFT_THUMBSTICK_BUTTON`
  `VK_GAMEPAD_LEFT_THUMBSTICK_DOWN`
  `VK_GAMEPAD_LEFT_THUMBSTICK_LEFT`
  `VK_GAMEPAD_LEFT_THUMBSTICK_RIGHT`
  `VK_GAMEPAD_LEFT_THUMBSTICK_UP`
  `VK_GAMEPAD_LEFT_TRIGGER`
  `VK_GAMEPAD_MENU`
  `VK_GAMEPAD_RIGHT_SHOULDER`
  `VK_GAMEPAD_RIGHT_THUMBSTICK_BUTTON`
  `VK_GAMEPAD_RIGHT_THUMBSTICK_DOWN`
  `VK_GAMEPAD_RIGHT_THUMBSTICK_LEFT`
  `VK_GAMEPAD_RIGHT_THUMBSTICK_RIGHT`
  `VK_GAMEPAD_RIGHT_THUMBSTICK_UP`
  `VK_GAMEPAD_RIGHT_TRIGGER`
  `VK_GAMEPAD_VIEW`
  `VK_GAMEPAD_X`
  `VK_GAMEPAD_Y`
  `VK_H`
  `VK_HANGEUL`
  `VK_HANGUL`
  `VK_HANJA`
  `VK_HELP`
  `VK_HOME`
  `VK_I`
  `VK_ICO_00`
  `VK_ICO_CLEAR`
  `VK_ICO_HELP`
  `VK_INSERT`
  `VK_J`
  `VK_JUNJA`
  `VK_K`
  `VK_KANA`
  `VK_KANJI`
  `VK_L`
  `VK_LAUNCH_APP1`
  `VK_LAUNCH_APP2`
  `VK_LAUNCH_MAIL`
  `VK_LAUNCH_MEDIA_SELECT`
  `VK_LBUTTON`
  `VK_LCONTROL`
  `VK_LEFT`
  `VK_LMENU`
  `VK_LSHIFT`
  `VK_LWIN`
  Left Windows
  `VK_M`
  `VK_MBUTTON`
  `VK_MEDIA_NEXT_TRACK`
  `VK_MEDIA_PLAY_PAUSE`
  `VK_MEDIA_PREV_TRACK`
  `VK_MEDIA_STOP`
  `VK_MENU`
  `VK_MODECHANGE`
  `VK_MULTIPLY`
  `VK_N`
  `VK_NAVIGATION_ACCEPT`
  `VK_NAVIGATION_CANCEL`
  `VK_NAVIGATION_DOWN`
  `VK_NAVIGATION_LEFT`
  `VK_NAVIGATION_MENU`
  `VK_NAVIGATION_RIGHT`
  `VK_NAVIGATION_UP`
  `VK_NAVIGATION_VIEW`
  `VK_NEXT`
  `VK_NONAME`
  `VK_NONCONVERT`
  `VK_NUMLOCK`
  `VK_NUMPAD0`
  `VK_NUMPAD1`
  `VK_NUMPAD2`
  `VK_NUMPAD3`
  `VK_NUMPAD4`
  `VK_NUMPAD5`
  `VK_NUMPAD6`
  `VK_NUMPAD7`
  `VK_NUMPAD8`
  `VK_NUMPAD9`
  `VK_O`
  `VK_OEM_1`
  `VK_OEM_102`
  `VK_OEM_2`
  `VK_OEM_3`
  `VK_OEM_4`
  `VK_OEM_5`
  `VK_OEM_6`
  `VK_OEM_7`
  `VK_OEM_8`
  `VK_OEM_ATTN`
  `VK_OEM_AUTO`
  `VK_OEM_AX`
  `VK_OEM_BACKTAB`
  `VK_OEM_CLEAR`
  `VK_OEM_COMMA`
  `VK_OEM_COPY`
  `VK_OEM_CUSEL`
  `VK_OEM_ENLW`
  `VK_OEM_FINISH`
  `VK_OEM_FJ_JISHO`
  `VK_OEM_FJ_LOYA`
  `VK_OEM_FJ_MASSHOU`
  `VK_OEM_FJ_ROYA`
  `VK_OEM_FJ_TOUROKU`
  `VK_OEM_JUMP`
  `VK_OEM_MINUS`
  `VK_OEM_NEC_EQUAL`
  `VK_OEM_PA1`
  `VK_OEM_PA2`
  `VK_OEM_PA3`
  `VK_OEM_PERIOD`
  `VK_OEM_PLUS`
  `VK_OEM_RESET`
  `VK_OEM_WSCTRL`
  `VK_P`
  `VK_PA1`
  `VK_PACKET`
  `VK_PAUSE`
  `VK_PLAY`
  `VK_PRINT`
  `VK_PRIOR`
  `VK_PROCESSKEY`
  `VK_Q`
  `VK_R`
  `VK_RBUTTON`
  `VK_RCONTROL`
  `VK_RESERVED_07`
  `VK_RESERVED_0A`
  `VK_RESERVED_0B`
  `VK_RESERVED_5E`
  `VK_RESERVED_B8`
  `VK_RESERVED_B9`
  `VK_RESERVED_C1`
  `VK_RESERVED_C2`
  `VK_RESERVED_E0`
  `VK_RESERVED_FF`
  `VK_RETURN`
  `VK_RIGHT`
  `VK_RMENU`
  `VK_RSHIFT`
  `VK_RWIN`
  Right Windows
  `VK_S`
  `VK_SCROLL`
  `VK_SELECT`
  `VK_SEPARATOR`
  `VK_SHIFT`
  `VK_SLEEP`
  `VK_SNAPSHOT`
  `VK_SPACE`
  `VK_SUBTRACT`
  `VK_T`
  `VK_TAB`
  `VK_U`
  `VK_UNASSIGNED_0E`
  `VK_UNASSIGNED_0F`
  `VK_UNASSIGNED_16`
  `VK_UNASSIGNED_1A`
  `VK_UNASSIGNED_3A`
  `VK_UNASSIGNED_3B`
  `VK_UNASSIGNED_3C`
  `VK_UNASSIGNED_3D`
  `VK_UNASSIGNED_3E`
  `VK_UNASSIGNED_3F`
  `VK_UNASSIGNED_40`
  `VK_UNASSIGNED_97`
  `VK_UNASSIGNED_98`
  `VK_UNASSIGNED_99`
  `VK_UNASSIGNED_9A`
  `VK_UNASSIGNED_9B`
  `VK_UNASSIGNED_9C`
  `VK_UNASSIGNED_9D`
  `VK_UNASSIGNED_9E`
  `VK_UNASSIGNED_9F`
  `VK_UNASSIGNED_E8`
  `VK_UNDEFINED`
  `VK_UP`
  `VK_V`
  `VK_VOLUME_DOWN`
  `VK_VOLUME_MUTE`
  `VK_VOLUME_UP`
  `VK_W`
  `VK_X`
  `VK_XBUTTON1`
  `VK_XBUTTON2`
  `VK_Y`
  `VK_Z`
  `VK_ZOOM`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `code`
  The code value.
  `final int`
  `introducedVersion`
  This VK constant was introduced in this WinNT version.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Win32VK`
  `fromValue(int code)`
  This will return the first of the multiple VK constants mapped to the same value.
  `static Win32VK`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Win32VK[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_UNDEFINED

    public static final Win32VK VK_UNDEFINED

  - ### VK_LBUTTON

    public static final Win32VK VK_LBUTTON

  - ### VK_RBUTTON

    public static final Win32VK VK_RBUTTON

  - ### VK_CANCEL

    public static final Win32VK VK_CANCEL

  - ### VK_MBUTTON

    public static final Win32VK VK_MBUTTON

  - ### VK_XBUTTON1

    public static final Win32VK VK_XBUTTON1

  - ### VK_XBUTTON2

    public static final Win32VK VK_XBUTTON2

  - ### VK_RESERVED_07

    public static final Win32VK VK_RESERVED_07

  - ### VK_BACK

    public static final Win32VK VK_BACK

  - ### VK_TAB

    public static final Win32VK VK_TAB

  - ### VK_RESERVED_0A

    public static final Win32VK VK_RESERVED_0A

  - ### VK_RESERVED_0B

    public static final Win32VK VK_RESERVED_0B

  - ### VK_CLEAR

    public static final Win32VK VK_CLEAR

  - ### VK_RETURN

    public static final Win32VK VK_RETURN

  - ### VK_UNASSIGNED_0E

    public static final Win32VK VK_UNASSIGNED_0E

  - ### VK_UNASSIGNED_0F

    public static final Win32VK VK_UNASSIGNED_0F

  - ### VK_SHIFT

    public static final Win32VK VK_SHIFT

  - ### VK_CONTROL

    public static final Win32VK VK_CONTROL

  - ### VK_MENU

    public static final Win32VK VK_MENU

  - ### VK_PAUSE

    public static final Win32VK VK_PAUSE

  - ### VK_CAPITAL

    public static final Win32VK VK_CAPITAL

  - ### VK_KANA

    public static final Win32VK VK_KANA

  - ### VK_HANGEUL

    public static final Win32VK VK_HANGEUL

  - ### VK_HANGUL

    public static final Win32VK VK_HANGUL

  - ### VK_UNASSIGNED_16

    public static final Win32VK VK_UNASSIGNED_16

  - ### VK_JUNJA

    public static final Win32VK VK_JUNJA

  - ### VK_FINAL

    public static final Win32VK VK_FINAL

  - ### VK_HANJA

    public static final Win32VK VK_HANJA

  - ### VK_KANJI

    public static final Win32VK VK_KANJI

  - ### VK_UNASSIGNED_1A

    public static final Win32VK VK_UNASSIGNED_1A

  - ### VK_ESCAPE

    public static final Win32VK VK_ESCAPE

  - ### VK_CONVERT

    public static final Win32VK VK_CONVERT

  - ### VK_NONCONVERT

    public static final Win32VK VK_NONCONVERT

  - ### VK_ACCEPT

    public static final Win32VK VK_ACCEPT

  - ### VK_MODECHANGE

    public static final Win32VK VK_MODECHANGE

  - ### VK_SPACE

    public static final Win32VK VK_SPACE

  - ### VK_PRIOR

    public static final Win32VK VK_PRIOR

  - ### VK_NEXT

    public static final Win32VK VK_NEXT

  - ### VK_END

    public static final Win32VK VK_END

  - ### VK_HOME

    public static final Win32VK VK_HOME

  - ### VK_LEFT

    public static final Win32VK VK_LEFT

  - ### VK_UP

    public static final Win32VK VK_UP

  - ### VK_RIGHT

    public static final Win32VK VK_RIGHT

  - ### VK_DOWN

    public static final Win32VK VK_DOWN

  - ### VK_SELECT

    public static final Win32VK VK_SELECT

  - ### VK_PRINT

    public static final Win32VK VK_PRINT

  - ### VK_EXECUTE

    public static final Win32VK VK_EXECUTE

  - ### VK_SNAPSHOT

    public static final Win32VK VK_SNAPSHOT

  - ### VK_INSERT

    public static final Win32VK VK_INSERT

  - ### VK_DELETE

    public static final Win32VK VK_DELETE

  - ### VK_HELP

    public static final Win32VK VK_HELP

  - ### VK_0

    public static final Win32VK VK_0

  - ### VK_1

    public static final Win32VK VK_1

  - ### VK_2

    public static final Win32VK VK_2

  - ### VK_3

    public static final Win32VK VK_3

  - ### VK_4

    public static final Win32VK VK_4

  - ### VK_5

    public static final Win32VK VK_5

  - ### VK_6

    public static final Win32VK VK_6

  - ### VK_7

    public static final Win32VK VK_7

  - ### VK_8

    public static final Win32VK VK_8

  - ### VK_9

    public static final Win32VK VK_9

  - ### VK_UNASSIGNED_3A

    public static final Win32VK VK_UNASSIGNED_3A

  - ### VK_UNASSIGNED_3B

    public static final Win32VK VK_UNASSIGNED_3B

  - ### VK_UNASSIGNED_3C

    public static final Win32VK VK_UNASSIGNED_3C

  - ### VK_UNASSIGNED_3D

    public static final Win32VK VK_UNASSIGNED_3D

  - ### VK_UNASSIGNED_3E

    public static final Win32VK VK_UNASSIGNED_3E

  - ### VK_UNASSIGNED_3F

    public static final Win32VK VK_UNASSIGNED_3F

  - ### VK_UNASSIGNED_40

    public static final Win32VK VK_UNASSIGNED_40

  - ### VK_A

    public static final Win32VK VK_A

  - ### VK_B

    public static final Win32VK VK_B

  - ### VK_C

    public static final Win32VK VK_C

  - ### VK_D

    public static final Win32VK VK_D

  - ### VK_E

    public static final Win32VK VK_E

  - ### VK_F

    public static final Win32VK VK_F

  - ### VK_G

    public static final Win32VK VK_G

  - ### VK_H

    public static final Win32VK VK_H

  - ### VK_I

    public static final Win32VK VK_I

  - ### VK_J

    public static final Win32VK VK_J

  - ### VK_K

    public static final Win32VK VK_K

  - ### VK_L

    public static final Win32VK VK_L

  - ### VK_M

    public static final Win32VK VK_M

  - ### VK_N

    public static final Win32VK VK_N

  - ### VK_O

    public static final Win32VK VK_O

  - ### VK_P

    public static final Win32VK VK_P

  - ### VK_Q

    public static final Win32VK VK_Q

  - ### VK_R

    public static final Win32VK VK_R

  - ### VK_S

    public static final Win32VK VK_S

  - ### VK_T

    public static final Win32VK VK_T

  - ### VK_U

    public static final Win32VK VK_U

  - ### VK_V

    public static final Win32VK VK_V

  - ### VK_W

    public static final Win32VK VK_W

  - ### VK_X

    public static final Win32VK VK_X

  - ### VK_Y

    public static final Win32VK VK_Y

  - ### VK_Z

    public static final Win32VK VK_Z

  - ### VK_LWIN

    public static final Win32VK VK_LWIN
    Left Windows

  - ### VK_RWIN

    public static final Win32VK VK_RWIN
    Right Windows

  - ### VK_APPS

    public static final Win32VK VK_APPS
    Application

  - ### VK_RESERVED_5E

    public static final Win32VK VK_RESERVED_5E

  - ### VK_SLEEP

    public static final Win32VK VK_SLEEP

  - ### VK_NUMPAD0

    public static final Win32VK VK_NUMPAD0

  - ### VK_NUMPAD1

    public static final Win32VK VK_NUMPAD1

  - ### VK_NUMPAD2

    public static final Win32VK VK_NUMPAD2

  - ### VK_NUMPAD3

    public static final Win32VK VK_NUMPAD3

  - ### VK_NUMPAD4

    public static final Win32VK VK_NUMPAD4

  - ### VK_NUMPAD5

    public static final Win32VK VK_NUMPAD5

  - ### VK_NUMPAD6

    public static final Win32VK VK_NUMPAD6

  - ### VK_NUMPAD7

    public static final Win32VK VK_NUMPAD7

  - ### VK_NUMPAD8

    public static final Win32VK VK_NUMPAD8

  - ### VK_NUMPAD9

    public static final Win32VK VK_NUMPAD9

  - ### VK_MULTIPLY

    public static final Win32VK VK_MULTIPLY

  - ### VK_ADD

    public static final Win32VK VK_ADD

  - ### VK_SEPARATOR

    public static final Win32VK VK_SEPARATOR

  - ### VK_SUBTRACT

    public static final Win32VK VK_SUBTRACT

  - ### VK_DECIMAL

    public static final Win32VK VK_DECIMAL

  - ### VK_DIVIDE

    public static final Win32VK VK_DIVIDE

  - ### VK_F1

    public static final Win32VK VK_F1

  - ### VK_F2

    public static final Win32VK VK_F2

  - ### VK_F3

    public static final Win32VK VK_F3

  - ### VK_F4

    public static final Win32VK VK_F4

  - ### VK_F5

    public static final Win32VK VK_F5

  - ### VK_F6

    public static final Win32VK VK_F6

  - ### VK_F7

    public static final Win32VK VK_F7

  - ### VK_F8

    public static final Win32VK VK_F8

  - ### VK_F9

    public static final Win32VK VK_F9

  - ### VK_F10

    public static final Win32VK VK_F10

  - ### VK_F11

    public static final Win32VK VK_F11

  - ### VK_F12

    public static final Win32VK VK_F12

  - ### VK_F13

    public static final Win32VK VK_F13

  - ### VK_F14

    public static final Win32VK VK_F14

  - ### VK_F15

    public static final Win32VK VK_F15

  - ### VK_F16

    public static final Win32VK VK_F16

  - ### VK_F17

    public static final Win32VK VK_F17

  - ### VK_F18

    public static final Win32VK VK_F18

  - ### VK_F19

    public static final Win32VK VK_F19

  - ### VK_F20

    public static final Win32VK VK_F20

  - ### VK_F21

    public static final Win32VK VK_F21

  - ### VK_F22

    public static final Win32VK VK_F22

  - ### VK_F23

    public static final Win32VK VK_F23

  - ### VK_F24

    public static final Win32VK VK_F24

  - ### VK_NAVIGATION_VIEW

    public static final Win32VK VK_NAVIGATION_VIEW

  - ### VK_NAVIGATION_MENU

    public static final Win32VK VK_NAVIGATION_MENU

  - ### VK_NAVIGATION_UP

    public static final Win32VK VK_NAVIGATION_UP

  - ### VK_NAVIGATION_DOWN

    public static final Win32VK VK_NAVIGATION_DOWN

  - ### VK_NAVIGATION_LEFT

    public static final Win32VK VK_NAVIGATION_LEFT

  - ### VK_NAVIGATION_RIGHT

    public static final Win32VK VK_NAVIGATION_RIGHT

  - ### VK_NAVIGATION_ACCEPT

    public static final Win32VK VK_NAVIGATION_ACCEPT

  - ### VK_NAVIGATION_CANCEL

    public static final Win32VK VK_NAVIGATION_CANCEL

  - ### VK_NUMLOCK

    public static final Win32VK VK_NUMLOCK

  - ### VK_SCROLL

    public static final Win32VK VK_SCROLL

  - ### VK_OEM_NEC_EQUAL

    public static final Win32VK VK_OEM_NEC_EQUAL

  - ### VK_OEM_FJ_JISHO

    public static final Win32VK VK_OEM_FJ_JISHO

  - ### VK_OEM_FJ_MASSHOU

    public static final Win32VK VK_OEM_FJ_MASSHOU

  - ### VK_OEM_FJ_TOUROKU

    public static final Win32VK VK_OEM_FJ_TOUROKU

  - ### VK_OEM_FJ_LOYA

    public static final Win32VK VK_OEM_FJ_LOYA

  - ### VK_OEM_FJ_ROYA

    public static final Win32VK VK_OEM_FJ_ROYA

  - ### VK_UNASSIGNED_97

    public static final Win32VK VK_UNASSIGNED_97

  - ### VK_UNASSIGNED_98

    public static final Win32VK VK_UNASSIGNED_98

  - ### VK_UNASSIGNED_99

    public static final Win32VK VK_UNASSIGNED_99

  - ### VK_UNASSIGNED_9A

    public static final Win32VK VK_UNASSIGNED_9A

  - ### VK_UNASSIGNED_9B

    public static final Win32VK VK_UNASSIGNED_9B

  - ### VK_UNASSIGNED_9C

    public static final Win32VK VK_UNASSIGNED_9C

  - ### VK_UNASSIGNED_9D

    public static final Win32VK VK_UNASSIGNED_9D

  - ### VK_UNASSIGNED_9E

    public static final Win32VK VK_UNASSIGNED_9E

  - ### VK_UNASSIGNED_9F

    public static final Win32VK VK_UNASSIGNED_9F

  - ### VK_LSHIFT

    public static final Win32VK VK_LSHIFT

  - ### VK_RSHIFT

    public static final Win32VK VK_RSHIFT

  - ### VK_LCONTROL

    public static final Win32VK VK_LCONTROL

  - ### VK_RCONTROL

    public static final Win32VK VK_RCONTROL

  - ### VK_LMENU

    public static final Win32VK VK_LMENU

  - ### VK_RMENU

    public static final Win32VK VK_RMENU

  - ### VK_BROWSER_BACK

    public static final Win32VK VK_BROWSER_BACK

  - ### VK_BROWSER_FORWARD

    public static final Win32VK VK_BROWSER_FORWARD

  - ### VK_BROWSER_REFRESH

    public static final Win32VK VK_BROWSER_REFRESH

  - ### VK_BROWSER_STOP

    public static final Win32VK VK_BROWSER_STOP

  - ### VK_BROWSER_SEARCH

    public static final Win32VK VK_BROWSER_SEARCH

  - ### VK_BROWSER_FAVORITES

    public static final Win32VK VK_BROWSER_FAVORITES

  - ### VK_BROWSER_HOME

    public static final Win32VK VK_BROWSER_HOME

  - ### VK_VOLUME_MUTE

    public static final Win32VK VK_VOLUME_MUTE

  - ### VK_VOLUME_DOWN

    public static final Win32VK VK_VOLUME_DOWN

  - ### VK_VOLUME_UP

    public static final Win32VK VK_VOLUME_UP

  - ### VK_MEDIA_NEXT_TRACK

    public static final Win32VK VK_MEDIA_NEXT_TRACK

  - ### VK_MEDIA_PREV_TRACK

    public static final Win32VK VK_MEDIA_PREV_TRACK

  - ### VK_MEDIA_STOP

    public static final Win32VK VK_MEDIA_STOP

  - ### VK_MEDIA_PLAY_PAUSE

    public static final Win32VK VK_MEDIA_PLAY_PAUSE

  - ### VK_LAUNCH_MAIL

    public static final Win32VK VK_LAUNCH_MAIL

  - ### VK_LAUNCH_MEDIA_SELECT

    public static final Win32VK VK_LAUNCH_MEDIA_SELECT

  - ### VK_LAUNCH_APP1

    public static final Win32VK VK_LAUNCH_APP1

  - ### VK_LAUNCH_APP2

    public static final Win32VK VK_LAUNCH_APP2

  - ### VK_RESERVED_B8

    public static final Win32VK VK_RESERVED_B8

  - ### VK_RESERVED_B9

    public static final Win32VK VK_RESERVED_B9

  - ### VK_OEM_1

    public static final Win32VK VK_OEM_1

  - ### VK_OEM_PLUS

    public static final Win32VK VK_OEM_PLUS

  - ### VK_OEM_COMMA

    public static final Win32VK VK_OEM_COMMA

  - ### VK_OEM_MINUS

    public static final Win32VK VK_OEM_MINUS

  - ### VK_OEM_PERIOD

    public static final Win32VK VK_OEM_PERIOD

  - ### VK_OEM_2

    public static final Win32VK VK_OEM_2

  - ### VK_OEM_3

    public static final Win32VK VK_OEM_3

  - ### VK_RESERVED_C1

    public static final Win32VK VK_RESERVED_C1

  - ### VK_RESERVED_C2

    public static final Win32VK VK_RESERVED_C2

  - ### VK_GAMEPAD_A

    public static final Win32VK VK_GAMEPAD_A

  - ### VK_GAMEPAD_B

    public static final Win32VK VK_GAMEPAD_B

  - ### VK_GAMEPAD_X

    public static final Win32VK VK_GAMEPAD_X

  - ### VK_GAMEPAD_Y

    public static final Win32VK VK_GAMEPAD_Y

  - ### VK_GAMEPAD_RIGHT_SHOULDER

    public static final Win32VK VK_GAMEPAD_RIGHT_SHOULDER

  - ### VK_GAMEPAD_LEFT_SHOULDER

    public static final Win32VK VK_GAMEPAD_LEFT_SHOULDER

  - ### VK_GAMEPAD_LEFT_TRIGGER

    public static final Win32VK VK_GAMEPAD_LEFT_TRIGGER

  - ### VK_GAMEPAD_RIGHT_TRIGGER

    public static final Win32VK VK_GAMEPAD_RIGHT_TRIGGER

  - ### VK_GAMEPAD_DPAD_UP

    public static final Win32VK VK_GAMEPAD_DPAD_UP

  - ### VK_GAMEPAD_DPAD_DOWN

    public static final Win32VK VK_GAMEPAD_DPAD_DOWN

  - ### VK_GAMEPAD_DPAD_LEFT

    public static final Win32VK VK_GAMEPAD_DPAD_LEFT

  - ### VK_GAMEPAD_DPAD_RIGHT

    public static final Win32VK VK_GAMEPAD_DPAD_RIGHT

  - ### VK_GAMEPAD_MENU

    public static final Win32VK VK_GAMEPAD_MENU

  - ### VK_GAMEPAD_VIEW

    public static final Win32VK VK_GAMEPAD_VIEW

  - ### VK_GAMEPAD_LEFT_THUMBSTICK_BUTTON

    public static final Win32VK VK_GAMEPAD_LEFT_THUMBSTICK_BUTTON

  - ### VK_GAMEPAD_RIGHT_THUMBSTICK_BUTTON

    public static final Win32VK VK_GAMEPAD_RIGHT_THUMBSTICK_BUTTON

  - ### VK_GAMEPAD_LEFT_THUMBSTICK_UP

    public static final Win32VK VK_GAMEPAD_LEFT_THUMBSTICK_UP

  - ### VK_GAMEPAD_LEFT_THUMBSTICK_DOWN

    public static final Win32VK VK_GAMEPAD_LEFT_THUMBSTICK_DOWN

  - ### VK_GAMEPAD_LEFT_THUMBSTICK_RIGHT

    public static final Win32VK VK_GAMEPAD_LEFT_THUMBSTICK_RIGHT

  - ### VK_GAMEPAD_LEFT_THUMBSTICK_LEFT

    public static final Win32VK VK_GAMEPAD_LEFT_THUMBSTICK_LEFT

  - ### VK_GAMEPAD_RIGHT_THUMBSTICK_UP

    public static final Win32VK VK_GAMEPAD_RIGHT_THUMBSTICK_UP

  - ### VK_GAMEPAD_RIGHT_THUMBSTICK_DOWN

    public static final Win32VK VK_GAMEPAD_RIGHT_THUMBSTICK_DOWN

  - ### VK_GAMEPAD_RIGHT_THUMBSTICK_RIGHT

    public static final Win32VK VK_GAMEPAD_RIGHT_THUMBSTICK_RIGHT

  - ### VK_GAMEPAD_RIGHT_THUMBSTICK_LEFT

    public static final Win32VK VK_GAMEPAD_RIGHT_THUMBSTICK_LEFT

  - ### VK_OEM_4

    public static final Win32VK VK_OEM_4

  - ### VK_OEM_5

    public static final Win32VK VK_OEM_5

  - ### VK_OEM_6

    public static final Win32VK VK_OEM_6

  - ### VK_OEM_7

    public static final Win32VK VK_OEM_7

  - ### VK_OEM_8

    public static final Win32VK VK_OEM_8

  - ### VK_RESERVED_E0

    public static final Win32VK VK_RESERVED_E0

  - ### VK_OEM_AX

    public static final Win32VK VK_OEM_AX

  - ### VK_OEM_102

    public static final Win32VK VK_OEM_102

  - ### VK_ICO_HELP

    public static final Win32VK VK_ICO_HELP

  - ### VK_ICO_00

    public static final Win32VK VK_ICO_00

  - ### VK_PROCESSKEY

    public static final Win32VK VK_PROCESSKEY

  - ### VK_ICO_CLEAR

    public static final Win32VK VK_ICO_CLEAR

  - ### VK_PACKET

    public static final Win32VK VK_PACKET

  - ### VK_UNASSIGNED_E8

    public static final Win32VK VK_UNASSIGNED_E8

  - ### VK_OEM_RESET

    public static final Win32VK VK_OEM_RESET

  - ### VK_OEM_JUMP

    public static final Win32VK VK_OEM_JUMP

  - ### VK_OEM_PA1

    public static final Win32VK VK_OEM_PA1

  - ### VK_OEM_PA2

    public static final Win32VK VK_OEM_PA2

  - ### VK_OEM_PA3

    public static final Win32VK VK_OEM_PA3

  - ### VK_OEM_WSCTRL

    public static final Win32VK VK_OEM_WSCTRL

  - ### VK_OEM_CUSEL

    public static final Win32VK VK_OEM_CUSEL

  - ### VK_OEM_ATTN

    public static final Win32VK VK_OEM_ATTN

  - ### VK_OEM_FINISH

    public static final Win32VK VK_OEM_FINISH

  - ### VK_OEM_COPY

    public static final Win32VK VK_OEM_COPY

  - ### VK_OEM_AUTO

    public static final Win32VK VK_OEM_AUTO

  - ### VK_OEM_ENLW

    public static final Win32VK VK_OEM_ENLW

  - ### VK_OEM_BACKTAB

    public static final Win32VK VK_OEM_BACKTAB

  - ### VK_ATTN

    public static final Win32VK VK_ATTN

  - ### VK_CRSEL

    public static final Win32VK VK_CRSEL

  - ### VK_EXSEL

    public static final Win32VK VK_EXSEL

  - ### VK_EREOF

    public static final Win32VK VK_EREOF

  - ### VK_PLAY

    public static final Win32VK VK_PLAY

  - ### VK_ZOOM

    public static final Win32VK VK_ZOOM

  - ### VK_NONAME

    public static final Win32VK VK_NONAME

  - ### VK_PA1

    public static final Win32VK VK_PA1

  - ### VK_OEM_CLEAR

    public static final Win32VK VK_OEM_CLEAR

  - ### VK_RESERVED_FF

    public static final Win32VK VK_RESERVED_FF

- ## Field Details

  - ### code

    public final int code
    The code value.

  - ### introducedVersion

    public final int introducedVersion
    This VK constant was introduced in this WinNT version.

- ## Method Details

  - ### values

    public static Win32VK[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Win32VK valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### fromValue

    public static Win32VK fromValue(int code)
    This will return the first of the multiple VK constants mapped to the same value. First as defined in the order of the header file listing the constants.
    Parameters:
      `code` - the code value.
    Returns:
      the VK enum instance.